Subject: Re: bug#1243: Verilog mode hanging emacs 22.2

From: Stefan Monnier <[email-masked]>
Date: Sat, 25 Oct 2008 14:38:38 -0400

> Bring a verilog file (*.v) into the editor, and either search for
> something or simply page down thru it.  After a few searches or pages,
> the clock symbol is displayed on the mouse cursor, and emacs is
> completely unresponsive.  A "top" shows that emacs is using most of the
> cpu.  Nothing I've tried from within emacs has been able to break out of
> this - the emacs process is hung.  This seems to happen more with
> font-lock mode enabled, but it also occurs w/o it.

> I've contacted the maintainer of verilog-mode, and he has been able to
> reproduce this, but is unsure how to debug it.  His stack trace:

To make better sense of the stack trace, you need to use `xbacktrace'
(which will give a Lisp-level interpretation of the stack).
`xbacktrace' is defined in emacs/src/.gdbinit so you need to start `gdb'
from the `src' directory of the Emacs build tree.

        Stefan